Subject: DHCPv6, tues discussion point #9

From: "Michael W. Carney" <[email-masked]>
Date: Sun, 30 Jul 2000 21:11:02 -0700

[one more from the may draft's issue section] (yes, that's may, not
march ;^)

9) The Reconfigure Message and Subnet Prefix Extensions

   The drafts currently specify that Releasable resources (such as an IP
   address) can only be reconfigured using the Reconfigure-init trigger
   message.  This was done for simplicity (enables clients to perform
   DAD on the new address and return the appropriate result to the
   server) using the same mechanism as a standard Request/Reply/Release
   exchange.  This method also makes no assumptions about the
   charactistics of the releasable resource.

   However, for IP addresses with interface IDs, one could send out
   two IP address extensions, one for the old prefix and one for the
   new, and cause clients to change the prefix and thus renumber over
   time.  This scheme avoids the added DHCP Request traffic - clients
   acknowledge with a Reconfigure-reply message.